VMTKBOUNDARYREFERENCESYSTEMS(1)

NAME
vmtkboundaryreferencesystems - vmtk script vmtkboundaryreferencesystems

DESCRIPTION
Automatic piping vmtkboundaryreferencesystems Parsing options vmtkboundaryreferencesystems

vmtkboundaryreferencesystems : compute the reference systems relative

    to each open boundary of a model; a typical use is the specification of boundary conditions for CFD simulations; reference systems are given both as origin and normal, and as origin, a first point defining the x axis with the origin and a second point defining the xy plane with the former two

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-boundaryradiusarray BoundaryRadiusArrayName (str,1);

    default=BoundaryRadius: name of the array where the mean radius of each boundary has to be stored

-boundarynormalsarray BoundaryNormalsArrayName (str,1);

    default=BoundaryNormals: name of the array where outward pointing normals to each boundary have to be stored

-point1array Point1ArrayName (str,1); default=Point1: name of the

    array where the coordinates of a point of each boundary have to be stored

-point2array Point2ArrayName (str,1); default=Point2: name of the

    array where the coordinates of a second point of each boundary have to be stored

-ofile ReferenceSystemsOutputFileName (str,1): filename for the

    default ReferenceSystems writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o ReferenceSystems (vtkPolyData,1): the output reference systems,

    given as points coinciding with the origins

-boundaryradiusarray BoundaryRadiusArrayName (str,1);

    default=BoundaryRadius: name of the array where the mean radius of each boundary has to be stored

-boundarynormalsarray BoundaryNormalsArrayName (str,1);

    default=BoundaryNormals: name of the array where outward pointing normals to each boundary are stored

-point1array Point1ArrayName (str,1); default=Point1: name of the

    array where the coordinates of a point of each boundary are stored

-point2array Point2ArrayName (str,1); default=Point2: name of the

    array where the coordinates of a second point of each boundary are stored